View Issue Details

IDProjectCategoryView StatusLast Update
0001674Common[All Projects] Generalpublic2017-04-25 17:20
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityminorReproducibilitysometimes
Status CloseResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.9 
Summary0001674: Quand le token CSRF expire, le message est perdu
DescriptionMantis nous dit alors que le token CSRF est expiré, et nous propose un "retry".
A ce moment-là, le message est perdu car quand on "retry", le contenu de la note est vide.

Il faut soit que le contenu de la note persiste quand on clique sur "retry", soit que le bouton "retry" renvoie la même requête avec un token CSRF frais et valide.
Steps To ReproduceAller sur la page d'un bogue, puis tapper une note sans l'envoyer. L'envoyer après un bon quart d'heure (voire une heure).
TagsMantis
Attach Tags

Activities

Xenos

Xenos

2016-08-31 22:46

administrator   ~0002220

Je vais l'implémenter très simplement, en affichant le texte de l'utilisateur pour qu'il puisse le copier/coller.
Xenos

Xenos

2016-08-31 23:27

administrator   ~0002221

Voilà, il y a maintenant un bouton "retry" qui permet de recommencer l'opération, sans avoir besoin de revenir en arrière ni rien :) [voir screen]
Xenos

Xenos

2016-08-31 23:27

administrator  

Capture.PNG (6,533 bytes)
Capture.PNG (6,533 bytes)

Issue History

Date Modified Username Field Change
2016-08-17 22:16 Xenos New Issue
2016-08-17 22:16 Xenos Status New => Accepted
2016-08-31 22:46 Xenos Note Added: 0002220
2016-08-31 22:46 Xenos Assigned To => Xenos
2016-08-31 22:46 Xenos Status Accepted => In progress
2016-08-31 23:24 AutoUpdater Status In progress => Resolved
2016-08-31 23:24 AutoUpdater Resolution open => fixed
2016-08-31 23:24 AutoUpdater Fixed in Version => 1.0.9
2016-08-31 23:27 Xenos Note Added: 0002221
2016-08-31 23:27 Xenos Status Resolved => Close
2016-08-31 23:27 Xenos File Added: Capture.PNG
2017-04-25 17:20 Xenos Tag Attached: Mantis
2017-04-25 17:20 Xenos Project @5@ => Common